math.h (pow) in configure und makefile nutzen



  • Hallo Mitglieder,

    ich habe ein c Skript welches ich mit der math-library erweitert habe.
    Darin benutze ich die "pow" Funktion.
    Wenn man ein Programm überlichweise compiliert, dann hängt man um die math bzw die pow Funtkion zu nutzen ein "-lm" dran, ansonsten kann er das Programm nicht anständig compilieren.

    Das Programm, worin ich die c.File geändert habe, nutzt aber zur Installation eine MAKEFILE und eine CONFIGURE-File und wenn ich ./configure und make ausführe meckert er mich an, dass er math bzw pow nicht kennt.

    Wo muss ich in der configure und/oder makefile math bzw pow bekannt machen?

    Mit freundlichem Gruß
    Alice



  • AliceDeh schrieb:

    ich habe ein c Skript welches ich mit der math-library erweitert habe.

    1. Nennt man sowas "Quellcodedatei" oder "Source", Der Begriff "Skript" ist für interpretierte Sprachen vorgesehen - so habe ich es zumindest gelernt.
    2. Nicht um die math-Lib hast du den Source erweitert, sondern das Interface hast du inkludiert, mit #include <math.h>

    AliceDeh schrieb:

    Das Programm, worin ich die c.File geändert habe, nutzt aber zur Installation eine MAKEFILE und eine CONFIGURE-File und wenn ich ./configure und make ausführe meckert er mich an, dass er math bzw pow nicht kennt.

    Wo genau taucht der Fehler auf? Beim ./configure oder beim make?
    Wahrscheinlich eher beim make, weil das ./configure nur prüft, ob bestimmte Features vorhanden sind, und damit wird das Makefile dann erstellt.

    Es wird irgendwo im Makefile der Kompilierungsbefehl stehen. Meist beginnend mit ($CC) , weil das gerne der Pfad tom benutzen Compiler ist. Den musst du selbst finden, und dann ein -lm anhängen, damit beim Kompilieren die Library mitgelinkt wird. WO du dies einzufügen hast, musst du selbst herausfinden - und viele Makefiles sind gerne relativ kompliziert.

    Absehen davon hat diese Frage kaum etwas mit C zu tun, sondern eher mit dem Linux-Buildsystem ... sollte man den Thread nicht verschieben?



  • Hallo "dachschaden" (netter Name^^)

    vorerst vielen Dank für die Korrigierung meiner Begrifflichkeiten.
    Der Fehler taucht beim "make" auf.
    In dem Ordner sind 2 Files >> "makefile.in" und "makefile.am"

    Leider kann ich den von dir angegebenen String ($CC) in beiden Files nicht finden.

    Der Thread kann gerne verschoben werden @Mod.

    Vielen Dank für deine Antwort.



  • # Makefile.in generated by automake 1.11.6 from Makefile.am.
    # @configure_input@
    
    # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
    # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
    # Foundation, Inc.
    # This Makefile.in is free software; the Free Software Foundation
    # gives unlimited permission to copy and/or distribute it,
    # with or without modifications, as long as this notice is preserved.
    
    # This program is distributed in the hope that it will be useful,
    # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
    # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
    # PARTICULAR PURPOSE.
    
    @SET_MAKE@
    
    VPATH = @srcdir@
    am__make_dryrun = \
      { \
        am__dry=no; \
        case $$MAKEFLAGS in \
          *\[\ \	]*) \
            echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
              | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
          *) \
            for am__flg in $$MAKEFLAGS; do \
              case $$am__flg in \
                *=*|--*) ;; \
                *n*) am__dry=yes; break;; \
              esac; \
            done;; \
        esac; \
        test $$am__dry = yes; \
      }
    pkgdatadir = $(datadir)/@PACKAGE@
    pkgincludedir = $(includedir)/@PACKAGE@
    pkglibdir = $(libdir)/@PACKAGE@
    pkglibexecdir = $(libexecdir)/@PACKAGE@
    am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
    install_sh_DATA = $(install_sh) -c -m 644
    install_sh_PROGRAM = $(install_sh) -c
    install_sh_SCRIPT = $(install_sh) -c
    INSTALL_HEADER = $(INSTALL_DATA)
    transform = $(program_transform_name)
    NORMAL_INSTALL = :
    PRE_INSTALL = :
    POST_INSTALL = :
    NORMAL_UNINSTALL = :
    PRE_UNINSTALL = :
    POST_UNINSTALL = :
    bin_PROGRAMS = loldht$(EXEEXT)
    subdir = .
    DIST_COMMON = README $(am__configure_deps) $(noinst_HEADERS) \
    	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
    	$(srcdir)/config.h.in $(top_srcdir)/configure depcomp \
    	install-sh missing
    ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
    am__aclocal_m4_deps = $(top_srcdir)/configure.in
    am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
    	$(ACLOCAL_M4)
    am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
     configure.lineno config.status.lineno
    mkinstalldirs = $(install_sh) -d
    CONFIG_HEADER = config.h
    CONFIG_CLEAN_FILES =
    CONFIG_CLEAN_VPATH_FILES =
    am__installdirs = "$(DESTDIR)$(bindir)"
    PROGRAMS = $(bin_PROGRAMS)
    am_loldht_OBJECTS = dht22.$(OBJEXT) locking.$(OBJEXT)
    loldht_OBJECTS = $(am_loldht_OBJECTS)
    loldht_LDADD = $(LDADD)
    DEFAULT_INCLUDES = -I.@am__isrc@
    depcomp = $(SHELL) $(top_srcdir)/depcomp
    am__depfiles_maybe = depfiles
    am__mv = mv -f
    COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
    	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
    AM_V_CC = $(am__v_CC_@AM_V@)
    am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
    am__v_CC_0 = @echo "  CC    " $@;
    AM_V_at = $(am__v_at_@AM_V@)
    am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
    am__v_at_0 = @
    CCLD = $(CC)
    LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
    AM_V_CCLD = $(am__v_CCLD_@AM_V@)
    am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
    am__v_CCLD_0 = @echo "  CCLD  " $@;
    AM_V_GEN = $(am__v_GEN_@AM_V@)
    am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
    am__v_GEN_0 = @echo "  GEN   " $@;
    SOURCES = $(loldht_SOURCES)
    DIST_SOURCES = $(loldht_SOURCES)
    am__can_run_installinfo = \
      case $$AM_UPDATE_INFO_DIR in \
        n|no|NO) false;; \
        *) (install-info --version) >/dev/null 2>&1;; \
      esac
    HEADERS = $(noinst_HEADERS)
    ETAGS = etags
    CTAGS = ctags
    DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
    distdir = $(PACKAGE)-$(VERSION)
    top_distdir = $(distdir)
    am__remove_distdir = \
      if test -d "$(distdir)"; then \
        find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
          && rm -rf "$(distdir)" \
          || { sleep 5 && rm -rf "$(distdir)"; }; \
      else :; fi
    DIST_ARCHIVES = $(distdir).tar.gz
    GZIP_ENV = --best
    distuninstallcheck_listfiles = find . -type f -print
    am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
      | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
    distcleancheck_listfiles = find . -type f -print
    ACLOCAL = @ACLOCAL@
    AMTAR = @AMTAR@
    AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
    AUTOCONF = @AUTOCONF@
    AUTOHEADER = @AUTOHEADER@
    AUTOMAKE = @AUTOMAKE@
    AWK = @AWK@
    CC = @CC@
    CCDEPMODE = @CCDEPMODE@
    CFLAGS = @CFLAGS@
    CPP = @CPP@
    CPPFLAGS = @CPPFLAGS@
    CYGPATH_W = @CYGPATH_W@
    DEFS = @DEFS@
    DEPDIR = @DEPDIR@
    ECHO_C = @ECHO_C@
    ECHO_N = @ECHO_N@
    ECHO_T = @ECHO_T@
    EGREP = @EGREP@
    EXEEXT = @EXEEXT@
    GREP = @GREP@
    INSTALL = @INSTALL@
    INSTALL_DATA = @INSTALL_DATA@
    INSTALL_PROGRAM = @INSTALL_PROGRAM@
    INSTALL_SCRIPT = @INSTALL_SCRIPT@
    INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
    LDFLAGS = @LDFLAGS@
    LIBOBJS = @LIBOBJS@
    LIBS = @LIBS@
    LTLIBOBJS = @LTLIBOBJS@
    MAKEINFO = @MAKEINFO@
    MKDIR_P = @MKDIR_P@
    OBJEXT = @OBJEXT@
    PACKAGE = @PACKAGE@
    PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
    PACKAGE_NAME = @PACKAGE_NAME@
    PACKAGE_STRING = @PACKAGE_STRING@
    PACKAGE_TARNAME = @PACKAGE_TARNAME@
    PACKAGE_URL = @PACKAGE_URL@
    PACKAGE_VERSION = @PACKAGE_VERSION@
    PATH_SEPARATOR = @PATH_SEPARATOR@
    SET_MAKE = @SET_MAKE@
    SHELL = @SHELL@
    STRIP = @STRIP@
    VERSION = @VERSION@
    abs_builddir = @abs_builddir@
    abs_srcdir = @abs_srcdir@
    abs_top_builddir = @abs_top_builddir@
    abs_top_srcdir = @abs_top_srcdir@
    ac_ct_CC = @ac_ct_CC@
    am__include = @am__include@
    am__leading_dot = @am__leading_dot@
    am__quote = @am__quote@
    am__tar = @am__tar@
    am__untar = @am__untar@
    bindir = @bindir@
    build_alias = @build_alias@
    builddir = @builddir@
    datadir = @datadir@
    datarootdir = @datarootdir@
    docdir = @docdir@
    dvidir = @dvidir@
    exec_prefix = @exec_prefix@
    host_alias = @host_alias@
    htmldir = @htmldir@
    includedir = @includedir@
    infodir = @infodir@
    install_sh = @install_sh@
    libdir = @libdir@
    libexecdir = @libexecdir@
    localedir = @localedir@
    localstatedir = @localstatedir@
    mandir = @mandir@
    mkdir_p = @mkdir_p@
    oldincludedir = @oldincludedir@
    pdfdir = @pdfdir@
    prefix = @prefix@
    program_transform_name = @program_transform_name@
    psdir = @psdir@
    sbindir = @sbindir@
    sharedstatedir = @sharedstatedir@
    srcdir = @srcdir@
    sysconfdir = @sysconfdir@
    target_alias = @target_alias@
    top_build_prefix = @top_build_prefix@
    top_builddir = @top_builddir@
    top_srcdir = @top_srcdir@
    loldht_SOURCES = dht22.c locking.c
    AUTOMAKE_OPTIONS = foreign
    noinst_HEADERS = 
    all: config.h
    	$(MAKE) $(AM_MAKEFLAGS) all-am
    
    .SUFFIXES:
    .SUFFIXES: .c .o .obj
    am--refresh: Makefile
    	@:
    $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
    	@for dep in $?; do \
    	  case '$(am__configure_deps)' in \
    	    *$$dep*) \
    	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
    	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
    		&& exit 0; \
    	      exit 1;; \
    	  esac; \
    	done; \
    	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
    	$(am__cd) $(top_srcdir) && \
    	  $(AUTOMAKE) --foreign Makefile
    .PRECIOUS: Makefile
    Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
    	@case '$?' in \
    	  *config.status*) \
    	    echo ' $(SHELL) ./config.status'; \
    	    $(SHELL) ./config.status;; \
    	  *) \
    	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
    	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
    	esac;
    
    $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
    	$(SHELL) ./config.status --recheck
    
    $(top_srcdir)/configure:  $(am__configure_deps)
    	$(am__cd) $(srcdir) && $(AUTOCONF)
    $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
    	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
    $(am__aclocal_m4_deps):
    
    config.h: stamp-h1
    	@if test ! -f $@; then rm -f stamp-h1; else :; fi
    	@if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi
    
    stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
    	@rm -f stamp-h1
    	cd $(top_builddir) && $(SHELL) ./config.status config.h
    $(srcdir)/config.h.in:  $(am__configure_deps) 
    	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
    	rm -f stamp-h1
    	touch $@
    
    distclean-hdr:
    	-rm -f config.h stamp-h1
    install-binPROGRAMS: $(bin_PROGRAMS)
    	@$(NORMAL_INSTALL)
    	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
    	if test -n "$$list"; then \
    	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
    	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
    	fi; \
    	for p in $$list; do echo "$$p $$p"; done | \
    	sed 's/$(EXEEXT)$$//' | \
    	while read p p1; do if test -f $$p; \
    	  then echo "$$p"; echo "$$p"; else :; fi; \
    	done | \
    	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
    	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
    	sed 'N;N;N;s,\n, ,g' | \
    	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
    	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
    	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
    	    else { print "f", $$3 "/" $$4, $$1; } } \
    	  END { for (d in files) print "f", d, files[d] }' | \
    	while read type dir files; do \
    	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
    	    test -z "$$files" || { \
    	      echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
    	      $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
    	    } \
    	; done
    
    uninstall-binPROGRAMS:
    	@$(NORMAL_UNINSTALL)
    	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
    	files=`for p in $$list; do echo "$$p"; done | \
    	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
    	      -e 's/$$/$(EXEEXT)/' `; \
    	test -n "$$list" || exit 0; \
    	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
    	cd "$(DESTDIR)$(bindir)" && rm -f $$files
    
    clean-binPROGRAMS:
    	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
    loldht$(EXEEXT): $(loldht_OBJECTS) $(loldht_DEPENDENCIES) $(EXTRA_loldht_DEPENDENCIES) 
    	@rm -f loldht$(EXEEXT)
    	$(AM_V_CCLD)$(LINK) $(loldht_OBJECTS) $(loldht_LDADD) $(LIBS)
    
    mostlyclean-compile:
    	-rm -f *.$(OBJEXT)
    
    distclean-compile:
    	-rm -f *.tab.c
    
    @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dht22.Po@am__quote@
    @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/locking.Po@am__quote@
    
    .c.o:
    @am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
    @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
    @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
    @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c $<
    
    .c.obj:
    @am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
    @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
    @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
    @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
    
    ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
    	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
    	unique=`for i in $$list; do \
    	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    	  done | \
    	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
    	      END { if (nonempty) { for (i in files) print i; }; }'`; \
    	mkid -fID $$unique
    tags: TAGS
    
    TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
    		$(TAGS_FILES) $(LISP)
    	set x; \
    	here=`pwd`; \
    	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
    	unique=`for i in $$list; do \
    	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    	  done | \
    	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
    	      END { if (nonempty) { for (i in files) print i; }; }'`; \
    	shift; \
    	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
    	  test -n "$$unique" || unique=$$empty_fix; \
    	  if test $$# -gt 0; then \
    	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
    	      "$$@" $$unique; \
    	  else \
    	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
    	      $$unique; \
    	  fi; \
    	fi
    ctags: CTAGS
    CTAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
    		$(TAGS_FILES) $(LISP)
    	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
    	unique=`for i in $$list; do \
    	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    	  done | \
    	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
    	      END { if (nonempty) { for (i in files) print i; }; }'`; \
    	test -z "$(CTAGS_ARGS)$$unique" \
    	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
    	     $$unique
    
    GTAGS:
    	here=`$(am__cd) $(top_builddir) && pwd` \
    	  && $(am__cd) $(top_srcdir) \
    	  && gtags -i $(GTAGS_ARGS) "$$here"
    
    distclean-tags:
    	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
    
    distdir: $(DISTFILES)
    	$(am__remove_distdir)
    	test -d "$(distdir)" || mkdir "$(distdir)"
    	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
    	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
    	list='$(DISTFILES)'; \
    	  dist_files=`for file in $$list; do echo $$file; done | \
    	  sed -e "s|^$$srcdirstrip/||;t" \
    	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
    	case $$dist_files in \
    	  */*) $(MKDIR_P) `echo "$$dist_files" | \
    			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
    			   sort -u` ;; \
    	esac; \
    	for file in $$dist_files; do \
    	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
    	  if test -d $$d/$$file; then \
    	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
    	    if test -d "$(distdir)/$$file"; then \
    	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
    	    fi; \
    	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
    	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
    	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
    	    fi; \
    	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
    	  else \
    	    test -f "$(distdir)/$$file" \
    	    || cp -p $$d/$$file "$(distdir)/$$file" \
    	    || exit 1; \
    	  fi; \
    	done
    	-test -n "$(am__skip_mode_fix)" \
    	|| find "$(distdir)" -type d ! -perm -755 \
    		-exec chmod u+rwx,go+rx {} \; -o \
    	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
    	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
    	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
    	|| chmod -R a+r "$(distdir)"
    dist-gzip: distdir
    	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
    	$(am__remove_distdir)
    
    dist-bzip2: distdir
    	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
    	$(am__remove_distdir)
    
    dist-lzip: distdir
    	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
    	$(am__remove_distdir)
    
    dist-lzma: distdir
    	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
    	$(am__remove_distdir)
    
    dist-xz: distdir
    	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
    	$(am__remove_distdir)
    
    dist-tarZ: distdir
    	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
    	$(am__remove_distdir)
    
    dist-shar: distdir
    	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
    	$(am__remove_distdir)
    
    dist-zip: distdir
    	-rm -f $(distdir).zip
    	zip -rq $(distdir).zip $(distdir)
    	$(am__remove_distdir)
    
    dist dist-all: distdir
    	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
    	$(am__remove_distdir)
    
    # This target untars the dist file and tries a VPATH configuration.  Then
    # it guarantees that the distribution is self-contained by making another
    # tarfile.
    distcheck: dist
    	case '$(DIST_ARCHIVES)' in \
    	*.tar.gz*) \
    	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
    	*.tar.bz2*) \
    	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
    	*.tar.lzma*) \
    	  lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
    	*.tar.lz*) \
    	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
    	*.tar.xz*) \
    	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
    	*.tar.Z*) \
    	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
    	*.shar.gz*) \
    	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
    	*.zip*) \
    	  unzip $(distdir).zip ;;\
    	esac
    	chmod -R a-w $(distdir); chmod u+w $(distdir)
    	mkdir $(distdir)/_build
    	mkdir $(distdir)/_inst
    	chmod a-w $(distdir)
    	test -d $(distdir)/_build || exit 0; \
    	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
    	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
    	  && am__cwd=`pwd` \
    	  && $(am__cd) $(distdir)/_build \
    	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
    	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
    	    $(DISTCHECK_CONFIGURE_FLAGS) \
    	  && $(MAKE) $(AM_MAKEFLAGS) \
    	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
    	  && $(MAKE) $(AM_MAKEFLAGS) check \
    	  && $(MAKE) $(AM_MAKEFLAGS) install \
    	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
    	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
    	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
    	        distuninstallcheck \
    	  && chmod -R a-w "$$dc_install_base" \
    	  && ({ \
    	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
    	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
    	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
    	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
    	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
    	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
    	  && rm -rf "$$dc_destdir" \
    	  && $(MAKE) $(AM_MAKEFLAGS) dist \
    	  && rm -rf $(DIST_ARCHIVES) \
    	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
    	  && cd "$$am__cwd" \
    	  || exit 1
    	$(am__remove_distdir)
    	@(echo "$(distdir) archives ready for distribution: "; \
    	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
    	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
    distuninstallcheck:
    	@test -n '$(distuninstallcheck_dir)' || { \
    	  echo 'ERROR: trying to run $@ with an empty' \
    	       '$$(distuninstallcheck_dir)' >&2; \
    	  exit 1; \
    	}; \
    	$(am__cd) '$(distuninstallcheck_dir)' || { \
    	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
    	  exit 1; \
    	}; \
    	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
    	   || { echo "ERROR: files left after uninstall:" ; \
    	        if test -n "$(DESTDIR)"; then \
    	          echo "  (check DESTDIR support)"; \
    	        fi ; \
    	        $(distuninstallcheck_listfiles) ; \
    	        exit 1; } >&2
    distcleancheck: distclean
    	@if test '$(srcdir)' = . ; then \
    	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
    	  exit 1 ; \
    	fi
    	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
    	  || { echo "ERROR: files left in build directory after distclean:" ; \
    	       $(distcleancheck_listfiles) ; \
    	       exit 1; } >&2
    check-am: all-am
    check: check-am
    all-am: Makefile $(PROGRAMS) $(HEADERS) config.h
    installdirs:
    	for dir in "$(DESTDIR)$(bindir)"; do \
    	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
    	done
    install: install-am
    install-exec: install-exec-am
    install-data: install-data-am
    uninstall: uninstall-am
    
    install-am: all-am
    	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
    
    installcheck: installcheck-am
    install-strip:
    	if test -z '$(STRIP)'; then \
    	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
    	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
    	      install; \
    	else \
    	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
    	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
    	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
    	fi
    mostlyclean-generic:
    
    clean-generic:
    
    distclean-generic:
    	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
    	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
    
    maintainer-clean-generic:
    	@echo "This command is intended for maintainers to use"
    	@echo "it deletes files that may require special tools to rebuild."
    clean: clean-am
    
    clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
    
    distclean: distclean-am
    	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
    	-rm -rf ./$(DEPDIR)
    	-rm -f Makefile
    distclean-am: clean-am distclean-compile distclean-generic \
    	distclean-hdr distclean-local distclean-tags
    
    dvi: dvi-am
    
    dvi-am:
    
    html: html-am
    
    html-am:
    
    info: info-am
    
    info-am:
    
    install-data-am:
    
    install-dvi: install-dvi-am
    
    install-dvi-am:
    
    install-exec-am: install-binPROGRAMS
    
    install-html: install-html-am
    
    install-html-am:
    
    install-info: install-info-am
    
    install-info-am:
    
    install-man:
    
    install-pdf: install-pdf-am
    
    install-pdf-am:
    
    install-ps: install-ps-am
    
    install-ps-am:
    
    installcheck-am:
    
    maintainer-clean: maintainer-clean-am
    	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
    	-rm -rf $(top_srcdir)/autom4te.cache
    	-rm -rf ./$(DEPDIR)
    	-rm -f Makefile
    maintainer-clean-am: distclean-am maintainer-clean-generic
    
    mostlyclean: mostlyclean-am
    
    mostlyclean-am: mostlyclean-compile mostlyclean-generic
    
    pdf: pdf-am
    
    pdf-am:
    
    ps: ps-am
    
    ps-am:
    
    uninstall-am: uninstall-binPROGRAMS
    
    .MAKE: all install-am install-strip
    
    .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
    	clean-binPROGRAMS clean-generic ctags dist dist-all dist-bzip2 \
    	dist-gzip dist-lzip dist-lzma dist-shar dist-tarZ dist-xz \
    	dist-zip distcheck distclean distclean-compile \
    	distclean-generic distclean-hdr distclean-local distclean-tags \
    	distcleancheck distdir distuninstallcheck dvi dvi-am html \
    	html-am info info-am install install-am install-binPROGRAMS \
    	install-data install-data-am install-dvi install-dvi-am \
    	install-exec install-exec-am install-html install-html-am \
    	install-info install-info-am install-man install-pdf \
    	install-pdf-am install-ps install-ps-am install-strip \
    	installcheck installcheck-am installdirs maintainer-clean \
    	maintainer-clean-generic mostlyclean mostlyclean-compile \
    	mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
    	uninstall-am uninstall-binPROGRAMS
    
    distclean-local:
    	rm -rf autom4te.cache .deps Makefile.in configure
    
    splint:
    	splint dht22.c -warnposix -I/usr/local/include  -I/usr/include/arm-linux-gnueabihf -shiftimplementation
    	splint locking.c -warnposix -I/usr/local/include  -I/usr/include/arm-linux-gnueabihf -unrecog
    
    # Tell versions [3.59,3.63) of GNU make to not export all variables.
    # Otherwise a system limit (for SysV at least) may be exceeded.
    .NOEXPORT:
    


  • Eventuell in dieser zeile etwas anfügen? >

    COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
    	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
    


  • ... ich wollte gerade sagen, da hast du doch dein CC.

    Probier's aus. Wenn's nicht funktioniert, kannst du's immer noch rückgängig machen. :p



  • (lm)oder(-lm) oder (CC -lm) oder ($CC-lm).

    In welcher Form füge ich es an?

    Gruß

    EDIT:

    Oder eventuell in dieser Zeile? >

    LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@

    LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o -lm $@



  • COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -lm
    

    Beides (CC und LINK) sind gute Kandidaten dafür. Wenn du dir die Definitionen ein wenig genauer genauer anschaust, wirst du feststellen, dass LINK nur wieder CCLD ist, was aus CC kommt.
    Genau kann ich das allerdings nicht sagen - wie gesagt, Makefiles heutzutage sind relativ kompliziert. Ich gehe da immer mit einer Trial-And-Error-Mentalität ran. :p



  • Uff habe jetzt eine Weile durchprobiert, aber es möchte nicht.

    Ich habe jetzt an lolware.net eine eMail geschrieben und mein Problem erläutert-.
    Sobald ich eine Lösung habe melde ich mich auf jeden Fall!

    Eventuell fällt euch ja noch was ein 🙂



  • Falsches Forum - wird sicherlich noch verschoben.

    Ein

    AC_CHECK_LIB(m, pow,,)
    

    in die configure.in (oder ähnlich), und danach das configure script mit

    autoconf -o configure ./configure.in
    

    neu bauen.



  • Dieser Thread wurde von Moderator/in SeppJ aus dem Forum C (alle ISO-Standards) in das Forum Rund um die Programmierung verschoben.

    Im Zweifelsfall bitte auch folgende Hinweise beachten:
    C/C++ Forum :: FAQ - Sonstiges :: Wohin mit meiner Frage?

    Dieses Posting wurde automatisch erzeugt.



  • @dachschaden: Vielen Dank für deine bisherigen Bemühungen.

    @Furble: Hat super geklappt! Ich konnte nun fehlerfrei compilieren!
    Der Held des Tages! 😃


Log in to reply